Open CASCADE Technology: IntRes2d_IntersectionSegment Class Reference

Open CASCADE Technology 6.9.1

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Member Functions
IntRes2d_IntersectionSegment Class Reference

Definition of an intersection curve between two 2D curves. More...

`#include <IntRes2d_IntersectionSegment.hxx>`

## Public Member Functions
| IntRes2d_IntersectionSegment ()
| Empty constructor. More...
| IntRes2d_IntersectionSegment (const IntRes2d_IntersectionPoint &P1, const IntRes2d_IntersectionPoint &P2, const Standard_Boolean Oppos, const Standard_Boolean ReverseFlag)
| IntRes2d_IntersectionSegment (const IntRes2d_IntersectionPoint &P, const Standard_Boolean First, const Standard_Boolean Oppos, const Standard_Boolean ReverseFlag)
| IntRes2d_IntersectionSegment (const Standard_Boolean Oppos)
| Creates an infinite segment of intersection. More...
Standard_Boolean | IsOpposite () const
| Returns FALSE if the intersection segment has got the same orientation on both curves. More...
Standard_Boolean | HasFirstPoint () const
| Returns True if the segment is limited by a first point. This point defines the lowest parameter admitted on the first curve for the segment. If IsOpposite returns False, it defines the lowest parameter on the second curve, otherwise, it is the highest parameter on the second curve. More...
const IntRes2d_IntersectionPoint & | FirstPoint () const
| Returns the first point of the segment as an IntersectionPoint (with a transition). The exception DomainError is raised if HasFirstPoint returns False. More...
Standard_Boolean | HasLastPoint () const
| Returns True if the segment is limited by a last point. This point defines the highest parameter admitted on the first curve for the segment. If IsOpposite returns False, it defines the highest parameter on the second curve, otherwise, it is the lowest parameter on the second curve. More...
const IntRes2d_IntersectionPoint & | LastPoint () const
| Returns the last point of the segment as an IntersectionPoint (with a transition). The exception DomainError is raised if HasLastExtremity returns False. More...
Standard_Boolean | _CSFDB_GetIntRes2d_IntersectionSegmentoppos () const
void | _CSFDB_SetIntRes2d_IntersectionSegmentoppos (const Standard_Boolean p)
Standard_Boolean | _CSFDB_GetIntRes2d_IntersectionSegmentfirst () const
void | _CSFDB_SetIntRes2d_IntersectionSegmentfirst (const Standard_Boolean p)
Standard_Boolean | _CSFDB_GetIntRes2d_IntersectionSegmentlast () const
void | _CSFDB_SetIntRes2d_IntersectionSegmentlast (const Standard_Boolean p)
const IntRes2d_IntersectionPoint & | _CSFDB_GetIntRes2d_IntersectionSegmentptfirst () const
const IntRes2d_IntersectionPoint & | _CSFDB_GetIntRes2d_IntersectionSegmentptlast () const

## Detailed Description

Definition of an intersection curve between two 2D curves.

## Constructor & Destructor Documentation

IntRes2d_IntersectionSegment::IntRes2d_IntersectionSegment | ( |  | ) |

Empty constructor.

IntRes2d_IntersectionSegment::IntRes2d_IntersectionSegment | ( | const IntRes2d_IntersectionPoint & | P1,
|  | const IntRes2d_IntersectionPoint & | P2,
|  | const Standard_Boolean | Oppos,
|  | const Standard_Boolean | ReverseFlag
| ) |  |

IntRes2d_IntersectionSegment::IntRes2d_IntersectionSegment | ( | const IntRes2d_IntersectionPoint & | P,
|  | const Standard_Boolean | First,
|  | const Standard_Boolean | Oppos,
|  | const Standard_Boolean | ReverseFlag
| ) |  |

IntRes2d_IntersectionSegment::IntRes2d_IntersectionSegment | ( | const Standard_Boolean | Oppos | ) |

Creates an infinite segment of intersection.

## Member Function Documentation

Standard_Boolean IntRes2d_IntersectionSegment::_CSFDB_GetIntRes2d_IntersectionSegmentfirst | ( |  | ) | const
| inline

Standard_Boolean IntRes2d_IntersectionSegment::_CSFDB_GetIntRes2d_IntersectionSegmentlast | ( |  | ) | const
| inline

Standard_Boolean IntRes2d_IntersectionSegment::_CSFDB_GetIntRes2d_IntersectionSegmentoppos | ( |  | ) | const
| inline

const IntRes2d_IntersectionPoint& IntRes2d_IntersectionSegment::_CSFDB_GetIntRes2d_IntersectionSegmentptfirst | ( |  | ) | const
| inline

const IntRes2d_IntersectionPoint& IntRes2d_IntersectionSegment::_CSFDB_GetIntRes2d_IntersectionSegmentptlast | ( |  | ) | const
| inline

void IntRes2d_IntersectionSegment::_CSFDB_SetIntRes2d_IntersectionSegmentfirst | ( | const Standard_Boolean | p | ) |
| inline

void IntRes2d_IntersectionSegment::_CSFDB_SetIntRes2d_IntersectionSegmentlast | ( | const Standard_Boolean | p | ) |
| inline

void IntRes2d_IntersectionSegment::_CSFDB_SetIntRes2d_IntersectionSegmentoppos | ( | const Standard_Boolean | p | ) |
| inline

const IntRes2d_IntersectionPoint& IntRes2d_IntersectionSegment::FirstPoint | ( |  | ) | const

Returns the first point of the segment as an IntersectionPoint (with a transition). The exception DomainError is raised if HasFirstPoint returns False.

Standard_Boolean IntRes2d_IntersectionSegment::HasFirstPoint | ( |  | ) | const

Returns True if the segment is limited by a first point. This point defines the lowest parameter admitted on the first curve for the segment. If IsOpposite returns False, it defines the lowest parameter on the second curve, otherwise, it is the highest parameter on the second curve.

Standard_Boolean IntRes2d_IntersectionSegment::HasLastPoint | ( |  | ) | const

Returns True if the segment is limited by a last point. This point defines the highest parameter admitted on the first curve for the segment. If IsOpposite returns False, it defines the highest parameter on the second curve, otherwise, it is the lowest parameter on the second curve.

Standard_Boolean IntRes2d_IntersectionSegment::IsOpposite | ( |  | ) | const

Returns FALSE if the intersection segment has got the same orientation on both curves.

const IntRes2d_IntersectionPoint& IntRes2d_IntersectionSegment::LastPoint | ( |  | ) | const

Returns the last point of the segment as an IntersectionPoint (with a transition). The exception DomainError is raised if HasLastExtremity returns False.

The documentation for this class was generated from the following file:

- IntRes2d_IntersectionSegment.hxx